Skip to main content
PATCH
Update a contact

Path Parameters

inbox_identifier
string
required

The identifier obtained from API inbox channel

contact_identifier
string
required

The source id of contact obtained on contact create

Body

application/json
identifier
string

External identifier of the contact

Example:

"1234567890"

identifier_hash
string

Identifier hash prepared for HMAC authentication

Example:

"e93275d4eba0e5679ad55f5360af00444e2a888df9b0afa3e8b691c3173725f9"

email
string

Email of the contact

Example:

"alice@acme.inc"

name
string

Name of the contact

Example:

"Alice"

phone_number
string

Phone number of the contact

Example:

"+123456789"

avatar
file

Send the form data with the avatar image binary or use the avatar_url

custom_attributes
object

Custom attributes of the customer

Example:

Response

Success

Full serialized contact record returned when the public API renders a Contact model directly.

id
integer

Id of the contact

name
string | null

Name of the contact when available

email
string | null

Email of the contact

phone_number
string | null

Phone number of the contact

identifier
string | null

Identifier of the contact

blocked
boolean

Whether the contact is blocked

additional_attributes
object | null

Additional attributes of the contact when present

custom_attributes
object | null

Custom attributes of the contact when present

contact_type
string | null

Contact type of the contact when available

country_code
string | null

Country code of the contact

last_activity_at
string | null

Last activity timestamp of the contact in ISO 8601 format

created_at
string | null

Created timestamp of the contact in ISO 8601 format

updated_at
string | null

Updated timestamp of the contact in ISO 8601 format

last_name
string | null

Last name of the contact

middle_name
string | null

Middle name of the contact

location
string | null

Location of the contact

account_id
integer

Account id of the contact

company_id
integer | null

Company id of the contact

label_list
string[]

Labels applied to the contact